Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# viewport.h File Reference

`#include <lib3ds/types.h>`

Include dependency graph for viewport.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
struct | _Lib3dsDefaultView
struct | _Lib3dsLayout
struct | _Lib3dsView
struct | _Lib3dsViewport
## Typedefs
typedef enum _Lib3dsViewType | Lib3dsViewType
typedef _Lib3dsView | Lib3dsView
typedef enum _Lib3dsLayoutStyle | Lib3dsLayoutStyle
typedef _Lib3dsLayout | Lib3dsLayout
typedef _Lib3dsDefaultView | Lib3dsDefaultView
## Enumerations
enum | _Lib3dsViewType { LIB3DS_VIEW_TYPE_NOT_USED = 0, LIB3DS_VIEW_TYPE_TOP = 1, LIB3DS_VIEW_TYPE_BOTTOM = 2, LIB3DS_VIEW_TYPE_LEFT = 3, LIB3DS_VIEW_TYPE_RIGHT = 4, LIB3DS_VIEW_TYPE_FRONT = 5, LIB3DS_VIEW_TYPE_BACK = 6, LIB3DS_VIEW_TYPE_USER = 7, LIB3DS_VIEW_TYPE_SPOTLIGHT = 18, LIB3DS_VIEW_TYPE_CAMERA = 65535 }
enum | _Lib3dsLayoutStyle { LIB3DS_LAYOUT_SINGLE = 0, LIB3DS_LAYOUT_TWO_PANE_VERT_SPLIT = 1, LIB3DS_LAYOUT_TWO_PANE_HORIZ_SPLIT = 2, LIB3DS_LAYOUT_FOUR_PANE = 3, LIB3DS_LAYOUT_THREE_PANE_LEFT_SPLIT = 4, LIB3DS_LAYOUT_THREE_PANE_BOTTOM_SPLIT = 5, LIB3DS_LAYOUT_THREE_PANE_RIGHT_SPLIT = 6, LIB3DS_LAYOUT_THREE_PANE_TOP_SPLIT = 7, LIB3DS_LAYOUT_THREE_PANE_VERT_SPLIT = 8, LIB3DS_LAYOUT_THREE_PANE_HORIZ_SPLIT = 9, LIB3DS_LAYOUT_FOUR_PANE_LEFT_SPLIT = 10, LIB3DS_LAYOUT_FOUR_PANE_RIGHT_SPLIT = 11 }
## Functions
LIB3DSAPI Lib3dsBool | lib3ds_viewport_read (Lib3dsViewport *viewport, Lib3dsIo *io)
LIB3DSAPI void | lib3ds_viewport_set_views (Lib3dsViewport *viewport, Lib3dsDword views)
LIB3DSAPI Lib3dsBool | lib3ds_viewport_write (Lib3dsViewport *viewport, Lib3dsIo *io)

## Function Documentation

LIB3DSAPI Lib3dsBool lib3ds_viewport_read | ( | Lib3dsViewport * | viewport,
|  | Lib3dsIo * | io
| ) |

LIB3DSAPI void lib3ds_viewport_set_views | ( | Lib3dsViewport * | viewport,
|  | Lib3dsDword | views
| ) |

LIB3DSAPI Lib3dsBool lib3ds_viewport_write | ( | Lib3dsViewport * | viewport,
|  | Lib3dsIo * | io
| ) |